<?php

namespace SGalinski\SgNews\ViewHelpers;

/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper;

/**
 * View helper that returns the estimates reading time of a given content
 *
 * Example:
 * {namespace sg=SGalinski\SgNews\ViewHelpers}
 * <sg:getReadingTime content="" />
 */
class GetReadingTimeViewHelper extends AbstractViewHelper {
	/**
	 * Returns the estimated reading time of the given content
	 *
	 * @param string $content
	 * @return string
	 */
	public function render($content): string {
		$word = str_word_count(strip_tags($content));
		$minutes = floor($word / 200);
		$seconds = floor($word % 200 / (200 / 60));
		if ($seconds > 30) {
			++$minutes;
		}

		return max(1, $minutes) . ' min.';
	}
}
